com.taosdata.jdbc

## Class ColumnMetaData

- java.lang.Object
- - com.taosdata.jdbc.ColumnMetaData

    public class ColumnMetaData
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ColumnMetaData()`

### Method Summary

All Methods Instance Methods Concrete Methods
`int` `getColIndex()`
`String` `getColName()`
`int` `getColSize()`
`int` `getColType()`
`void` `setColIndex(int colIndex)`
`void` `setColName(String colName)`
`void` `setColSize(int colSize)`
`void` `setColType(int colType)`
`String` `toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### ColumnMetaData

    public ColumnMetaData()

### Method Detail

#### getColSize

    public int getColSize()

#### setColSize

    public void setColSize(int colSize)

#### getColType

    public int getColType()

#### setColType

    public void setColType(int colType)

#### getColName

    public String getColName()

#### setColName

    public void setColName(String colName)

#### getColIndex

    public int getColIndex()

#### setColIndex

    public void setColIndex(int colIndex)

#### toString

    public String toString()

Overrides:
  `toString` in class `Object`